@ECHO OFF
REM MS-DOS batch file to modify FORTRAN77 source code files
REM   'model.for', 'parm.for', 'val.for' and 'fit.for',
REM containing the model routines required when solving forward
REM problems, in order to yield FORTRAN77 source code files
REM   'modelv.for', 'parmv.for', 'valv.for' and 'fitv.for',
REM containing the model routines required when solving inverse
REM problems.
REM
REM Executable 'clean.exe' of the source 'clean.for' is assumed to have
REM been prepared before running this batch file.
REM
IF NOT EXIST clean.exe ECHO clean.exe has to be created before.
IF NOT EXIST clean.exe GOTO :END
REM
REM --------------------------------------------------------------------
@ECHO ON
ECHO 'model.for' 'modelv.for' '*V' '  ' / |clean
ECHO 'parm.for'  'parmv.for'  '*V' '  ' / |clean
ECHO 'val.for'   'valv.for'   '*V' '  ' / |clean
ECHO 'fit.for'   'fitv.for'   '*V' '  ' / |clean
@ECHO OFF
REM --------------------------------------------------------------------
REM
REM 'model.for', 'parm.for', 'val.for' and 'fit.for' are used, e.g., by
REM (A) the 'grid.for' program,
REM (B) the 'sec.for' program,
REM (C) the 'intf.for' program,
REM (D) the complete ray tracing program.
REM
REM The derived files 'modelv.for', 'parmv.for', 'valv.for' and
REM 'fitv.for' are used, e.g., by
REM (I) the 'inv1.for' program of the CRT package, generating the
REM     linearized system of equations for model parameters.
REM
REM The derived files 'modelv.for', 'parmv.for', 'valv.for' and
REM     'fitv.for' have all the functionality of files 'model.for',
REM     'parm.for', 'val.for' and 'fit.for' for the purposes of forward
REM     modelling, and many inverse modelling functions on
REM     the top of it if linked with 'var.for'.  On the other hand, are
REM     slower.
REM The derived files 'modelv.for', 'parmv.for', 'valv.for' and
REM     'fitv.for' with 'varnul.for' instead of 'var.for' are
REM     very close to 'model.for', 'parm.for', 'val.for' and 'fit.for'
REM     in performance, see the table in the file 'var.for'.
REM
REM ====================================================================
REM
:END
