C                                                            <HTML><PRE>
C     INCLUDE 'sec.inc'
C     ------------------------------------------------------------------
      REAL C10,C20,C30,C11,C21,C31,C12,C22,C32
      COMMON/SECTC/ C10,C20,C30,C11,C21,C31,C12,C22,C32
      SAVE /SECTC/
C     ..................................................................
      INTEGER IPS,MV,NV,IV
      PARAMETER (MV=128)
      REAL VALUE(MV)
      COMMON/VALUES/ IPS,VALUE,NV,IV
      SAVE /VALUES/
C     ..................................................................
      REAL ZL(100),ZM(100),ZR(100),COLL,COLM,COLR
      INTEGER INTL,INTM,INTR
      COMMON/COLUMN/ZL,ZM,ZR,COLL,COLM,COLR,INTL,INTM,INTR
      SAVE /COLUMN/
C     ..................................................................
      INTEGER IFUN,NBACK,ISB1O,ICB1O,ISB2O,ICB2O,NBOD
      COMMON/CONTC/ IFUN,NBACK,ISB1O,ICB1O,ISB2O,ICB2O,NBOD
C     ------------------------------------------------------------------
C     C10,C20,C30,C11,C21,C31,C12,C22,C32... Input data (2).
C
C     IPS...  Input data (3).
C     VALUE...Input data (4).
C     NV...   Number of non-zero isoline values in the input data (4).
C     IV...   Index in the array value of the isoline currently being
C               plotted.
C             Zero, if there is no isoline in the given interval.
C             Output of the subroutine ISOL.  If the interval where an
C             isoline is looked for has been changed since the last
C             invocation of the subroutine ISOL, IV has to be set to
C             zero.
C
C     ZL,ZM,ZR... The second normalized section coordinates of the
C             points of intersection of the isolines with lines COLL,
C             COLM, and COLR, respectively.
C     COLL... The first normalized section coordinate of the left-hand
C             boundary line of the left-hand region for isoline tracing.
C     COLM... The first normalized section coordinate of the middle
C             boundary line between the two regions for isoline tracing.
C             The initial point of the isoline is assumed to be situated
C             at this line.
C     COLR... The first normalized section coordinate of the right-hand
C             boundary line of the right-hand region for isoline
C             tracing.
C     INTL,INTM,INTR... Numbers of the points of intersection of the
C             isolines with lines COLL, COLM, and COLR, respectively.
C
C     IFUN... Either:
C             Minus the index of the function describing a surface
C               covering a structural interface, or
C             -101, -102, -103, -104, -105 or -106 for the boundaries
C               of the model, or
C             The index of the complex block in which an isoline is
C               plotted.
C     NBACK...1 or 2, index of the direction in which the isoline is to
C             be followed.
C     ISB1O,ICB1O... Index of the simple block and index of the complex
C             block in which the initial point of the isoline is
C             situated.
C     ISB2O,ICB2O... Index of the simple block and index of the complex
C             block, touching the complex block ICB1O from the other
C             side of the surface ISRF=-IFUN at the initial point.
C             Need not be defined for a velocity isoline (IFUN
C             positive).
C     NBOD... Number of points along the calculated part of the isoline
C             (the part situated within the given column of the
C             section).
C
C     Common block /SECTC/ is included in external procedures FUNC,
C     SECT1, SECT2 and SECT3.
C     Common block /VALUES/ is included in external procedures FUNC,
C     ISOL, ISOLA, SECT1 and MODSEC.
C     The index of the last allocated numeric storage unit of array
C     VALUE is named MV and is given by the sixth and seventh statement
C     of the block data subroutine SECTB.  If the value of MV is
C     changed, it must be adjusted in all subroutines which include the
C     common block /VALUES/.
C
C     The common blocks are included in FORTRAN 77 source code file
C     'sec.for'.
C
C Date: 1996, July 8
C Coded by Ludek Klimes
C
C=======================================================================
C                                                                 </PRE>
